Loading...
Searching...
No Matches
error_condition.hpp

Describes an endpoint error state. More...

`#include "./internal/export.hpp"`
`#include "./value.hpp"`
`#include <string>`
`#include <iosfwd>`
Include dependency graph for error_condition.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | error_condition
| Describes an endpoint error state. More...

## Namespaces

namespace | proton
| The main Proton namespace.

## Functions

bool | operator== (const error_condition &x, const error_condition &y)
std::ostream & | operator<< (std::ostream &o, const error_condition &err)
| Human readable string.

## Detailed Description

Describes an endpoint error state.